Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::MCastConfigIf Interface Reference

Interface for multicasting operations. More...

`import "AVStreams.idl";`

List of all members.

## Public Methods
boolean | set_peer (in Object peer, inout streamQoS the_qos, in flowSpec the_spec) raises (QoSRequestFailed, streamOpFailed)
| Set a peer in the multicast tree. More...
void | configure (in CosPropertyService::Property a_configuration)
| Configure the multicast stream. More...
void | set_initial_configuration (in CosPropertyService::Properties initial)
| Sets the initial configuration to be used for all added peers. More...
void | set_format (in string flowName, in string format_name) raises (notSupported)
| Uses <format_name> standardised by OMG and IETF Multicasting operations are not supported yet. More...
void | set_dev_params (in string flowName, in CosPropertyService::Properties new_params) raises (PropertyException, streamOpFailed)
| Note, some of these device params are standardised by OMG Multicasting operations are not supported yet. More...

## Detailed Description

Interface for multicasting operations.

## Member Function Documentation

void AVStreams::MCastConfigIf::configure | ( | in CosPropertyService::Property | a_configuration | ) |

| Configure the multicast stream.

void AVStreams::MCastConfigIf::set_dev_params | ( | in string | flowName,
|  | in CosPropertyService::Properties | new_params
| ) | raises (PropertyException, streamOpFailed)

| Note, some of these device params are standardised by OMG Multicasting operations are not supported yet.

void AVStreams::MCastConfigIf::set_format | ( | in string | flowName,
|  | in string | format_name
| ) | raises (notSupported)

| Uses <format_name> standardised by OMG and IETF Multicasting operations are not supported yet.

void AVStreams::MCastConfigIf::set_initial_configuration | ( | in CosPropertyService::Properties | initial | ) |

| Sets the initial configuration to be used for all added peers.

boolean AVStreams::MCastConfigIf::set_peer | ( | in Object | peer,
|  | inout streamQoS | the_qos,
|  | in flowSpec | the_spec
| ) | raises (QoSRequestFailed, streamOpFailed)

| Set a peer in the multicast tree.

The documentation for this interface was generated from the following file:

- AVStreams.idl